bitel.billing.server.contract.bean

## Class ContractScript

- java.lang.Object
- - bitel.billing.server.contract.bean.ContractScript

-     public class ContractScript
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractScript()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `int` | `getContractId()`
    `int` | `getContractID()` Deprecated.
    `java.util.Calendar` | `getDate1()`
    `java.util.Calendar` | `getDate2()`
    `int` | `getId()`
    `int` | `getID()` Deprecated.
    `int` | `getScriptId()`
    `int` | `getScriptID()` Deprecated.
    `void` | `setComment(java.lang.String comment)`
    `void` | `setContractId(int contractId)`
    `void` | `setContractID(int contractId)` Deprecated.
    `void` | `setDate1(java.util.Calendar date1)`
    `void` | `setDate2(java.util.Calendar date2)`
    `void` | `setId(int id)`
    `void` | `setID(int id)` Deprecated.
    `void` | `setScriptId(int scriptId)`
    `void` | `setScriptID(int scriptId)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractScript

          public ContractScript()

  - ### Method Detail

    - #### getId

          public int getId()

    - #### getID

          @Deprecated
          public int getID()

      Deprecated.
      Использовать `getId()`.
      Returns:

    - #### setId

          public void setId(int id)

    - #### setID

          @Deprecated
          public void setID(int id)

      Deprecated.
      Использовать `setId( int )`.
      Parameters:
        `id` -

    - #### getDate1

          public java.util.Calendar getDate1()

    - #### setDate1

          public void setDate1(java.util.Calendar date1)

    - #### setScriptId

          public void setScriptId(int scriptId)

    - #### setScriptID

          @Deprecated
          public void setScriptID(int scriptId)

      Deprecated.
      Использовать `setScriptId( int )`.
      Parameters:
        `scriptId` -

    - #### setDate2

          public void setDate2(java.util.Calendar date2)

    - #### setContractId

          public void setContractId(int contractId)

    - #### setContractID

          @Deprecated
          public void setContractID(int contractId)

      Deprecated.
      Использовать `setContractId(int)`.
      Parameters:
        `contractId` -

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getDate2

          public java.util.Calendar getDate2()

    - #### getScriptId

          public int getScriptId()

    - #### getScriptID

          @Deprecated
          public int getScriptID()

      Deprecated.
      Использовать `getScriptId()`.
      Returns:

    - #### getContractId

          public int getContractId()

    - #### getContractID

          @Deprecated
          public int getContractID()

      Deprecated.
      Использовать `getContractId()`.
      Returns:

    - #### getComment

          public java.lang.String getComment()